Description

Description of problem:

If an Ansible collection is installed on Foreman to /etc/ansible/collections, the roles from the collection are imported to Foreman, and

roles from that collection are then assigned to a host, Foreman is unable to find those roles when Ansible roles are run on the host.

Steps to Reproduce:

1. Install an Ansible Collection to /etc/ansible/collections:   # ansible-galaxy collection install ericsysmin.system -p

/etc/ansible/collections/

2. Import the roles from the collection on the Configure > Roles page of the Foreman webUI.

3. Register a host to Foreman and configure it for remote execution.

4. Assign one or more roles from the collection to the host.

5. Select the "Run Ansible roles" option from the Hosts > All Hosts > [hostname] page of the Foreman webUI.

Actual results:

The task appears to complete successfully, but the roles from the collection are not actually run. The following error appears in the

console entry for the task:

ERROR! the role 'ericsysmin.system.chrony' was not found in

/tmp/d20210716-9401-1q84fq9/project/roles:/etc/ansible/roles:/usr/share/ansible/roles:/tmp/d20210716-9401-1q84fq9/project

Expected results:

Roles in an Ansible Collection installed to /etc/ansible/collections run successfully on hosts.

Additional info:

If the same collection is installed to /usr/share/ansible/collections and the roles from the collection are imported to Foreman, those

roles run successfully after being assigned to a host.

Associated revisions

Revision 012d533c - 07/28/2021 03:58 PM - Ondřej Pražák

Fixes #33162 - Set value for Ansible collections_paths

History

#1 - 07/28/2021 11:35 AM - Ondřej Pražák

- Project changed from Ansible to Installer

- Subject changed from Roles imported from a collection installed to /etc/ansible/collections are not found when run on hosts

 to Roles imported from a collection installed to /etc/ansible/collections are not found when run on hosts

#2 - 07/28/2021 11:38 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Pražák
- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/693 added

#3 - 07/28/2021 03:59 PM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#4 - 07/28/2021 04:08 PM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|012d533ce0112f0ab974affb795998031f34763d.

#5 - 07/29/2021 11:59 AM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Target version set to 2.5.3

- Triaged changed from No to Yes

#6 - 08/26/2021 05:38 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/699 added

#7 - 08/26/2021 07:07 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 2.5.3 added
